org.apache.olingo.odata2.ref.edm

## Class ScenarioEdmProvider

- java.lang.Object
- - org.apache.olingo.odata2.api.edm.provider.EdmProvider
  - - org.apache.olingo.odata2.ref.edm.ScenarioEdmProvider

-     public class ScenarioEdmProvider
      extends EdmProvider

  Provider for the entity data model used in the reference scenario

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAMESPACE_1`
    `static String` | `NAMESPACE_2`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScenarioEdmProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Association` | `getAssociation(FullQualifiedName edmFQName)` This method should return an `Association` or null if nothing is found
    `AssociationSet` | `getAssociationSet(String entityContainer, FullQualifiedName association, String sourceEntitySetName, String sourceEntitySetRole)` This method should return an `AssociationSet` or null if nothing is found
    `ComplexType` | `getComplexType(FullQualifiedName edmFQName)` This method should return a `ComplexType` or null if nothing is found
    `EntityContainerInfo` | `getEntityContainerInfo(String name)` This method should return an `EntityContainerInfo` or null if nothing is found
    `EntitySet` | `getEntitySet(String entityContainer, String name)` This method should return an `EntitySet` or null if nothing is found
    `EntityType` | `getEntityType(FullQualifiedName edmFQName)` This method should return an `EntityType` or null if nothing is found
    `FunctionImport` | `getFunctionImport(String entityContainer, String name)` This method should return a `FunctionImport` or null if nothing is found
    `List<Schema>` | `getSchemas()` This method should return a collection of all `Schema` or null if nothing is found

    - ### Methods inherited from class org.apache.olingo.odata2.api.edm.provider.EdmProvider

      `getAliasInfos`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE_1

          public static final String NAMESPACE_1

      See Also:
        Constant Field Values

    - #### NAMESPACE_2

          public static final String NAMESPACE_2

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ScenarioEdmProvider

          public ScenarioEdmProvider()

  - ### Method Detail

    - #### getSchemas

          public List<Schema> getSchemas()
                                  throws ODataException

      Description copied from class: `EdmProvider`
      This method should return a collection of all `Schema` or null if nothing is found
      Overrides:
        `getSchemas` in class `EdmProvider`
      Returns:
        List<`Schema`>
      Throws:
        `ODataException`

    - #### getEntityType

          public EntityType getEntityType(FullQualifiedName edmFQName)
                                   throws ODataException

      Description copied from class: `EdmProvider`
      This method should return an `EntityType` or null if nothing is found
      Overrides:
        `getEntityType` in class `EdmProvider`
      Returns:
        `EntityType` for the given name
      Throws:
        `ODataException`

    - #### getComplexType

          public ComplexType getComplexType(FullQualifiedName edmFQName)
                                     throws ODataException

      Description copied from class: `EdmProvider`
      This method should return a `ComplexType` or null if nothing is found
      Overrides:
        `getComplexType` in class `EdmProvider`
      Returns:
        `ComplexType` for the given name
      Throws:
        `ODataException`

    - #### getAssociation

          public Association getAssociation(FullQualifiedName edmFQName)
                                     throws ODataException

      Description copied from class: `EdmProvider`
      This method should return an `Association` or null if nothing is found
      Overrides:
        `getAssociation` in class `EdmProvider`
      Returns:
        `Association` for the given name
      Throws:
        `ODataException`

    - #### getEntityContainerInfo

          public EntityContainerInfo getEntityContainerInfo(String name)
                                                     throws ODataException

      Description copied from class: `EdmProvider`
      This method should return an `EntityContainerInfo` or null if nothing is found
      Overrides:
        `getEntityContainerInfo` in class `EdmProvider`
      Parameters:
        `name` - (null for default container)
      Returns:
        `EntityContainerInfo` for the given name
      Throws:
        `ODataException`

    - #### getEntitySet

          public EntitySet getEntitySet(String entityContainer,
                                        String name)
                                 throws ODataException

      Description copied from class: `EdmProvider`
      This method should return an `EntitySet` or null if nothing is found
      Overrides:
        `getEntitySet` in class `EdmProvider`
      Returns:
        `EntitySet` for the given container name and entity set name
      Throws:
        `ODataException`

    - #### getFunctionImport

          public FunctionImport getFunctionImport(String entityContainer,
                                                  String name)
                                           throws ODataException

      Description copied from class: `EdmProvider`
      This method should return a `FunctionImport` or null if nothing is found
      Overrides:
        `getFunctionImport` in class `EdmProvider`
      Returns:
        `FunctionImport` for the given container name and function import name
      Throws:
        `ODataException`

    - #### getAssociationSet

          public AssociationSet getAssociationSet(String entityContainer,
                                                  FullQualifiedName association,
                                                  String sourceEntitySetName,
                                                  String sourceEntitySetRole)
                                           throws ODataException

      Description copied from class: `EdmProvider`
      This method should return an `AssociationSet` or null if nothing is found
      Overrides:
        `getAssociationSet` in class `EdmProvider`
      Returns:
        `AssociationSet` for the given container name, association name, source entity set name and source entity set role
      Throws:
        `ODataException`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.